import requests


def vjudge_crawer(ojid: str):
    print("vjudge: getting record for " + ojid)
    raw_data = requests.get("https://cn.vjudge.net/user/solveDetail/" + ojid).json()
    return raw_data['acRecords']
